universal_html 2.0.8
universal_html: ^2.0.8 copied to clipboard

A 'dart:html' that works in all platforms, including Flutter and server-side. Eases cross-platform development and HTML / XML processing.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add universal_html

With Flutter:

 $ flutter pub add universal_html

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):


dependencies:
  universal_html: ^2.0.8

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:universal_html/controller.dart';
import 'package:universal_html/html.dart';
import 'package:universal_html/indexed_db.dart';
import 'package:universal_html/js.dart';
import 'package:universal_html/js_util.dart';
import 'package:universal_html/parsing.dart';
import 'package:universal_html/svg.dart';
import 'package:universal_html/web_audio.dart';
import 'package:universal_html/web_gl.dart';
149
likes
130
pub points
97%
popularity

Publisher

dint.dev

A 'dart:html' that works in all platforms, including Flutter and server-side. Eases cross-platform development and HTML / XML processing.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

async, charcode, collection, csslib, html, meta, source_span, typed_data, universal_io

More

Packages that depend on universal_html